List market alerts
curl --request GET \
--url https://api-v2.watchcollect.com/v2/alerts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"filters": {},
"strategy": "market_filter",
"is_system": true,
"created_at_ms": 123,
"updated_at_ms": 123,
"view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_by": "<string>",
"created_by": "<string>",
"updated_by": "<string>"
}
],
"total": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}alerts
List market alerts
GET
/
v2
/
alerts
List market alerts
curl --request GET \
--url https://api-v2.watchcollect.com/v2/alerts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"enabled": true,
"filters": {},
"strategy": "market_filter",
"is_system": true,
"created_at_ms": 123,
"updated_at_ms": 123,
"view_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_by": "<string>",
"created_by": "<string>",
"updated_by": "<string>"
}
],
"total": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}